Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.server
Class ServiceEndpointServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.axis.transport.http.AxisServletBase
                  org.apache.axis.transport.http.AxisServlet
                      org.jboss.webservice.server.ServiceEndpointServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  ServiceEndpointServletEJB, ServiceEndpointServletJSE

public class ServiceEndpointServlet
extends org.apache.axis.transport.http.AxisServlet

An JBossWS AxisServlet. It gets the server config via JMX from the AxisService. Supports URL wsdl lookup with imports

Since:
  15-April-2004
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Field Summary
`protected org.jboss.logging.Logger` | `log`

Fields inherited from class org.apache.axis.transport.http.AxisServlet
`INIT_PROPERTY_ENABLE_LIST, INIT_PROPERTY_JWS_CLASS_DIR, INIT_PROPERTY_TRANSPORT_NAME, INIT_PROPERTY_USE_SECURITY`

Fields inherited from class org.apache.axis.transport.http.AxisServletBase
`ATTR_AXIS_ENGINE, axisServer`

Constructor Summary
`ServiceEndpointServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process GET requests.
`void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Reject POST requests to '/ws4ee/services/someService'
`org.apache.axis.server.AxisServer` | `getEngine()` Get an AxisServer with the EngineConfiguration from the JMX AxisService
`protected String` | `getServiceName(javax.servlet.http.HttpServletRequest req)` Get the service name as it is known to Axis For JSE service endpoints it is obtained from the generated init parameter in web.xml
`protected String` | `getTransportURL(javax.servlet.http.HttpServletRequest req, String serviceName)` Get the transport URL For JSE service endpoints e.g.
`protected void` | `processWsdlRequest(org.apache.axis.MessageContext msgContext, javax.servlet.http.HttpServletResponse res, PrintWriter writer)` Handle a wsdl request
`protected void` | `reportAvailableServices(javax.servlet.http.HttpServletResponse res, PrintWriter writer, javax.servlet.http.HttpServletRequest req)` This method lists the available services; it is called when there is nothing to execute on a GET
`protected void` | `setupHTMLResponseHeader(javax.servlet.http.HttpServletResponse res, PrintWriter writer)`

Methods inherited from class org.apache.axis.transport.http.AxisServlet
`createMessageContext, getDefaultJWSClassDir, getHttpServletResponseStatus, getJWSClassDir, getProtocolVersion, init, invokeEndpointFromGet, logException, processAxisFault, processListRequest, processMethodRequest, reportCantGetAxisService, reportCantGetJWSService, reportNoWSDL, reportServiceInfo, reportTrouble`

Methods inherited from class org.apache.axis.transport.http.AxisServletBase
`decLockCounter, destroy, getEngine, getEngineEnvironment, getHomeDir, getLoadCounter, getOption, getServletContext, getWebappBase, getWebInfPath, incLockCounter, isDevelopment, service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.jboss.logging.Logger log

Constructor Detail

### ServiceEndpointServlet

    public ServiceEndpointServlet()

Method Detail

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws javax.servlet.ServletException,
                       IOException

  Reject POST requests to '/ws4ee/services/someService'

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws javax.servlet.ServletException,
                      IOException

  Process GET requests.

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### getServiceName

    protected String getServiceName(javax.servlet.http.HttpServletRequest req)

  Get the service name as it is known to Axis

  For JSE service endpoints it is obtained from the generated init parameter in web.xml

### getTransportURL

    protected String getTransportURL(javax.servlet.http.HttpServletRequest req,
                                     String serviceName)

  Get the transport URL

  For JSE service endpoints e.g. http://localhost:8080/whatever-url-mapping

### setupHTMLResponseHeader

    protected void setupHTMLResponseHeader(javax.servlet.http.HttpServletResponse res,
                                           PrintWriter writer)

### reportAvailableServices

    protected void reportAvailableServices(javax.servlet.http.HttpServletResponse res,
                                           PrintWriter writer,
                                           javax.servlet.http.HttpServletRequest req)
                                    throws org.apache.axis.ConfigurationException,
                                           org.apache.axis.AxisFault

  This method lists the available services; it is called when there is nothing to execute on a GET

  Throws:
    `org.apache.axis.ConfigurationException`
    `org.apache.axis.AxisFault`

### processWsdlRequest

    protected void processWsdlRequest(org.apache.axis.MessageContext msgContext,
                                      javax.servlet.http.HttpServletResponse res,
                                      PrintWriter writer)
                               throws org.apache.axis.AxisFault

  Handle a wsdl request

  Throws:
    `org.apache.axis.AxisFault`

### getEngine

    public org.apache.axis.server.AxisServer getEngine()
                                                throws org.apache.axis.AxisFault

  Get an AxisServer with the EngineConfiguration from the JMX AxisService

  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.